<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from compdiv_priest.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_priest" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_priest</refname><refpurpose>Performs fast complex division with Priest's algorithm.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   r = compdiv_priest ( x,y )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a matrix of complex doubles</para></listitem></varlistentry>
   <varlistentry><term>r :</term>
      <listitem><para> a matrix of complex doubles, the complex division result r=x/y.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
This implementation is based on Priest's algorithm and Priest's
C function.
This is a fast implementation, based on compiled source code.
Scales by S almost equal to abs(c+i*d)^(-3/4).
   </para>
   <para>
Compiling options are used to avoid the use of extended precision, and
to strictly use SSE units, which results in predictable results.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
expected = 11/25 + %i * 2/25
compdiv_priest ( 1+2*%i , 3+4*%i )

x = rand(3,5)+%i*rand(3,5)
y = rand(3,5)+%i*rand(3,5)
r = compdiv_priest ( x , y )
abs(r.*y - x)./abs(x)

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010 - Michael Baudin</member>
   <member>Copyright (C) 2004 - Douglas M. Priest, Sun Microsystems</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>"Efficient scaling for complex division", Douglas M. Priest, Sun Microsystems, ACM Transactions on Mathematical software, Vol. 30, No. 4, December 2004</para>
</refsection>
</refentry>
